org.apache.xmlbeans.impl.xb.xsdschema

## Interface NarrowMaxMin

- All Superinterfaces:
    Annotated, Element, LocalElement, OpenAttrs, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    NarrowMaxMinImpl

      public interface NarrowMaxMin
      extends LocalElement

  An XML narrowMaxMin(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `NarrowMaxMin.MaxOccurs` An XML maxOccurs(@).
    `static interface` | `NarrowMaxMin.MinOccurs` An XML minOccurs(@).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<NarrowMaxMin>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Element

      `addNewComplexType, addNewKey, addNewKeyref, addNewSimpleType, addNewUnique, getAbstract, getBlock, getComplexType, getDefault, getFinal, getFixed, getForm, getKeyArray, getKeyArray, getKeyList, getKeyrefArray, getKeyrefArray, getKeyrefList, getMaxOccurs, getMinOccurs, getName, getNillable, getRef, getSimpleType, getSubstitutionGroup, getType, getUniqueArray, getUniqueArray, getUniqueList, insertNewKey, insertNewKeyref, insertNewUnique, isSetAbstract, isSetBlock, isSetComplexType, isSetDefault, isSetFinal, isSetFixed, isSetForm, isSetMaxOccurs, isSetMinOccurs, isSetName, isSetNillable, isSetRef, isSetSimpleType, isSetSubstitutionGroup, isSetType, removeKey, removeKeyref, removeUnique, setAbstract, setBlock, setComplexType, setDefault, setFinal, setFixed, setForm, setKeyArray, setKeyArray, setKeyrefArray, setKeyrefArray, setMaxOccurs, setMinOccurs, setName, setNillable, setRef, setSimpleType, setSubstitutionGroup, setType, setUniqueArray, setUniqueArray, sizeOfKeyArray, sizeOfKeyrefArray, sizeOfUniqueArray, unsetAbstract, unsetBlock, unsetComplexType, unsetDefault, unsetFinal, unsetFixed, unsetForm, unsetMaxOccurs, unsetMinOccurs, unsetName, unsetNillable, unsetRef, unsetSimpleType, unsetSubstitutionGroup, unsetType, xgetAbstract, xgetBlock, xgetDefault, xgetFinal, xgetFixed, xgetForm, xgetMaxOccurs, xgetMinOccurs, xgetName, xgetNillable, xgetRef, xgetSubstitutionGroup, xgetType, xsetAbstract, xsetBlock, xsetDefault, xsetFinal, xsetFixed, xsetForm, xsetMaxOccurs, xsetMinOccurs, xsetName, xsetNillable, xsetRef, xsetSubstitutionGroup, xsetType`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<NarrowMaxMin> Factory

    - #### type

          static final SchemaType type